{% extends "common/main.html" %}
{% load i18n %}
{% load customtags %}
{% block content %}
  {% include "search/search-bar.html" with selected_mode=results.meta.search.mode selected_corpus=results.meta.search.corpus %}
  {% if not results.meta.search.status %}
    {% trans "Error" as error_title %}
    {% if error_code is not None %}
      {% concat error_title error_code separator=" " as error_title_full %}
    {% else %}
      {% firstof error_title as error_title_full %}
    {% endif %}
    {% include "common/hero.html" with title=error_title_full subtitle=results.meta.search.msg classes="is-small is-primary" bold=True %}
  {% else %}
    <div id="stats" class="has-text-centered">
      <p>
        {{ results.meta.result.abs_freq|floatformat:"0g" }}
        {% if results.meta.result.abs_freq == 1 %}
          {% trans "resultado en" %}
        {% else %}
          {% trans "resultados en" %}
        {% endif %}
        {{ results.meta.result.total_docs|floatformat:"0g" }}
        {% if results.meta.result.total_docs == 1 %}
          {% trans "documento" %}
        {% else %}
          {% trans "documentos" %}
        {% endif %}
        ({{ results.meta.result.pmw_freq|floatformat:"2g" }} {% trans "cpm" %})
      </p>
    </div>
    <div id="search-results">
      <div class="tabs is-centered">
        <ul>
          <li class="is-active">
            <a>{% trans "Tabla" %}</a>
          </li>
          <li>
            <a href="{% to_url "api-search" corpus=results.meta.search.corpus query=results.meta.search.query mode=results.meta.search.mode page=results.meta.search.page output='csv' %}">{% trans "CSV" %}</a>
          </li>
          <li>
            <a href="{% to_url "api-search" corpus=results.meta.search.corpus query=results.meta.search.query mode=results.meta.search.mode page=results.meta.search.page output='json' %}"
               target="_blank">{% trans "JSON" %}</a>
          </li>
        </ul>
      </div>
      <div id="table">
        <table class="results table is-striped is-narrow is-hoverable is-fullwidth">
          <thead>
            <tr>
              <th class="index has-text-centered">{% trans "Índice" %}</th>
              <th class="doc has-text-centered">{% trans "Documento" %}</th>
              <th class="has-text-right">{% trans "Contexto previo" %}</th>
              <th class="has-text-centered">{% trans "Coincidencia" %}</th>
              <th class="has-text-left">{% trans "Contexto posterior" %}</th>
            </tr>
          </thead>
          <tbody>
            {% trans "Documento" as str_source %}
            {% trans "Concordancia" as str_concordance %}
            {% trans "Token" as str_token %}
            {% for item in results.concordance %}
              {% concat str_concordance " " forloop.counter ", " str_token as str_header %}
              {% with index=forloop.counter header=str_header %}
                <tr>
                  <th class="has-text-centered">
                    <b>{{ results.meta.result.items_index|add:index|add:-1 }}</b>
                  </th>
                  <td class="has-text-centered">
                    {% for key, val in results.meta.result.docs.items %}
                      {% if key == item.info.id %}
                        {% include "search/modal.html" with el=val main_key="id" header=str_source corpus=None %}
                      {% endif %}
                    {% endfor %}
                  </td>
                  <td class="has-text-right">
                    {% for token in item.left %}
                      {% include "search/modal.html" with el=token main_key=results.meta.result.default_p header=header corpus=results.meta.search.corpus %}
                    {% endfor %}
                  </td>
                  <td class="has-text-centered matches">
                    {% for token in item.center %}
                      {% include "search/modal.html" with el=token main_key=results.meta.result.default_p header=header corpus=results.meta.search.corpus %}
                    {% endfor %}
                  </td>
                  <td class="has-text-left">
                    {% for token in item.right %}
                      {% include "search/modal.html" with el=token main_key=results.meta.result.default_p header=header corpus=results.meta.search.corpus %}
                    {% endfor %}
                  </td>
                </tr>
              {% endwith %}
            {% endfor %}
          </tbody>
        </table>
      </div>
      {% to_url "search" corpus=results.meta.search.corpus query=results.meta.search.query mode=results.meta.search.mode as base_href %}
      {% include "search/pagination.html" with curr_page=results.meta.search.page total_pages=results.meta.result.total_pages pagination=results.meta.result.pagination base_href=base_href %}
    </div>
  {% endif %}
{% endblock content %}
